IOS version for 4506

Unanswered Question
Apr 20th, 2009

I need to update the IOS on my 4506. Its currently running 122-20.EWA4.bin I see a couple of files out there but I want to make sure I get the right one, what file should I be getting for this switch?

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
lethian12 Mon, 04/20/2009 - 08:10

this is the full bootflash im running now.


How do I get the features listed so I can post it here?

greg.washburn Mon, 04/20/2009 - 09:38

You currently have the BASIC L3 3DES feature set.

So if you wanted to go to 12.2.25 you would get the file cat4000-i9k91s-mz.122-25.EWA14.bin to maintain your current feature set.

If you want to go to a newer IOS than that you should probably mention whether you use ssh to access the switch or not. Most of the newer IOS decisions can be whittled down a lot just by deciding if you need ssh access and how much mem you have.

In addition to letting the group know whether you use ssh or not you should also include a "show ver" and "show idprom all" output. Knowing what sup versions you have will help a lot to determining what IOS versions your system can support.

lethian12 Mon, 04/20/2009 - 09:55

Im being told I should go with


to be fully up to date. However I want to make sure I'm being told to the correct file.

I have attached the output from those commands



This Discussion